//----------------------------------------------------------------------
// Module    	: 	ERC12864-9 Series
// Create    	: 	JAVEN LIU
// Date      	: 	2023-05-29
// Drive IC  	: 	ST7567
// INTERFACE 	: 	4 LINE SPI
// MCU 	 		: 	ST12LE5A60S2
// VDD		 	: 	3.3V       
//----------------------------------------------------------------------

#include <AT89X52.H>
#include <intrins.h>

#define uint unsigned int
#define uchar unsigned char

//LCD IO		
sbit SCK=P3^3;
sbit SDA=P3^4;		
sbit   RS  =     P3^5;
sbit   RST   =      P1^7;
sbit   CS1  =     P1^6;

//KEY Adjust contrast
sbit key_add=P0^1;
sbit key_dec=P0^2;
sbit pause=P3^2;
bit log=0;


uchar Contrast=18;  


//Resolution
uchar	 SIZE;
#define Max_Column	128
#define Max_Row		64



void Delay(uint n);
void delay_ms(uint Delay);
void display_Contrast(uchar number);
void adj_Contrast(void);
	
void Set_Contrast_Control_Register(unsigned char mod);
void Set_Column_Address(unsigned char add);
void Set_Page_Address(unsigned char add);
void Write_Data(unsigned char dat);
void Write_Instruction(unsigned char cmd);
void Initial(void);	
void ClearScreen(void);
void ShowChar(unsigned char x,unsigned char y,unsigned char chr);
void ShowNum(unsigned char x,unsigned char y,unsigned int  num,unsigned char len,unsigned char size2);
void ShowString(unsigned char x,unsigned char y, unsigned char *p);	 
void Set_Pos(unsigned char x, unsigned char y);
void ShowCHinese(unsigned char x,unsigned char y,unsigned char no);
void DrawBMP(unsigned char x0, unsigned char y0,unsigned char x1, unsigned char y1,unsigned char BMP[]);												 
void Show_line_dot();
void Show(unsigned char d1,unsigned char d2);


const unsigned char code  F6x8[][6];
const unsigned char code F8X16[];
unsigned char code Hzk[];
unsigned char code pic1[];
unsigned char code pic2[];
unsigned char code pic3[];
unsigned char code pic4[];





void main(void)
{   
	P0=0xff; P1=0xff;P2=0xff;P3=0xff;

	IE=0x81;
	IP=0x01;
	TCON=0x01;

	delay_ms(100);
    Initial();

	while(1)
	{
		 	ClearScreen();
		
		ShowCHinese(0,0,0);
		ShowCHinese(16,0,1);
		ShowCHinese(32,0,2);
		ShowCHinese(48,0,3);
		ShowCHinese(64,0,4);
		ShowCHinese(80,0,5);  
		ShowCHinese(96,0,6); 
 		ShowCHinese(112,0,7); 

		ShowCHinese(16,2,8);
		ShowCHinese(32,2,9);  
		ShowCHinese(48,2,12); 
 		ShowCHinese(64,2,13); 
		ShowCHinese(80,2,14); 
 		ShowCHinese(96,2,15); 			 

		SIZE=16;
		ShowString(4,4,"Buydisplay.com");
		SIZE=8;
	 	ShowString(2,6,"EastRising Tech");  
 	 	ShowString(10,7,"Hollw!World!"); 
		delay_ms(2000);


	
	   	ClearScreen();

		DrawBMP(0,0,128,8,pic1); //x:0,y:0,col:128,line:8*8=64 	 
		delay_ms(2000);
//	    Write_Instruction(0xa7);  //Set  inverse  display 	 
//		delay_ms(1000);
//	    Write_Instruction(0xa6);  //Set normal display 


		DrawBMP(0,0,128,8,pic2);  //x:0,y:0,col:128,line:8*8=64 
		delay_ms(2000);
// 	    Write_Instruction(0xa7);  //Set  inverse  display 	 
//		delay_ms(1000);
//	    Write_Instruction(0xa6);  //Set normal display 


		DrawBMP(0,0,128,8,pic3);  //x:0,y:0,col:128,line:8*8=64 
		delay_ms(2000);
 //	    Write_Instruction(0xa7);  //Set  inverse  display 	 
//		delay_ms(1000);
//	    Write_Instruction(0xa6);  //Set normal display 


		DrawBMP(0,0,128,8,pic4);  //x:0,y:0,col:128,line:8*8=64 
		delay_ms(2000);
 //	    Write_Instruction(0xa7);  //Set  inverse  display 	 
//		delay_ms(1000);
//	    Write_Instruction(0xa6);  //Set normal display 


  		Show_line_dot();

	}
}






void Delay(uint n)
{ unsigned int i;
while(n--)
  {  
   for(i=0;i<400;i++) 
     {;} 

   }
}


void delay_ms(uint Delay)
{unsigned int i; 
while(Delay)
  {
   for(;Delay>0;Delay--) 
   {  
    for(i=0;i<1000;i++) 
        {;}   
    if((key_add==0)||(key_dec==0)) adj_Contrast();	     			
   }
  
	for(;log==1;);
  }

	return;
}




void Step(void) interrupt 0 using 0
{  ET0=0;
 // Delay(3);
//	if(pause==0)
	log=!log;

   while(!pause);
     ET0=1;
  return;

}




void display_Contrast(uchar number)
{	uchar number1,number2;	uchar value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
	number1=number/10;number2=number%10;
	ShowChar(0,0,value[number1]) ;
	ShowChar(6,0,value[number2]) ;

}



void adj_Contrast(void)
{	
 	 if((key_add==0)||(key_dec==0))
		{		
		 if	(key_add==0) 
			{
			Contrast+=1;if(Contrast>0x3f)(Contrast=0);
		   	Set_Contrast_Control_Register(Contrast);	
			display_Contrast(Contrast);
			Delay(300);
			if(key_add==0)
				{Delay(300);
					if(key_add==0)			
						{Delay(300);
							if(key_add==0)
								{Delay(300);
									if(key_add==0)

										{while(key_add==0)
											{
											Contrast+=1; if(Contrast>0x3f)(Contrast=0);
		   										Set_Contrast_Control_Register(Contrast);	
												display_Contrast(Contrast);
							 					Delay(300); 
											}
										}
								}				
						}						
				}												
			}
	


		  
	
		 if	(key_dec==0) 
			{
			Contrast-=1; if((Contrast<=0xff)&&(Contrast>0x3f))(Contrast=0x3f);
		   	Set_Contrast_Control_Register(Contrast);	
			display_Contrast(Contrast);
			Delay(300);
			if(key_dec==0)
				{Delay(300);
					if(key_dec==0)			
						{Delay(300);
							if(key_dec==0)
								{Delay(300);
									if(key_dec==0)

										{while(key_dec==0)
											{
											Contrast-=1; if((Contrast<=0xff)&&(Contrast>0x3f))(Contrast=0x3f);
		   										Set_Contrast_Control_Register(Contrast);	
												display_Contrast(Contrast);
							 					Delay(300); 
											}
										}
								}				
						}						
				}												
			}

	  	}
}








#pragma disable 
void Write_Data(unsigned char dat)
{
    unsigned char idata i;
    RS=1;
	SCK=0;
	CS1=0;
	for(i=0;i<8;i++)
	{
	    SCK=0;
		_nop_();
		_nop_();
		SDA=dat&0x80;
		dat=dat<<1;
		_nop_();
		_nop_();
		SCK=1;
		_nop_();
		_nop_();
	}
	CS1=1;
	return;
}



#pragma disable
void Write_Instruction(unsigned char cmd)
{
    unsigned char idata i;
    RS=0;
	SCK=0;
	CS1=0;
	for(i=0;i<8;i++)
	{
	    SCK=0;
		_nop_();
		_nop_();
		SDA=cmd&0x80;
		cmd=cmd<<1;
		_nop_();
		_nop_();
		SCK=1;
		_nop_();
		_nop_();
	}
	CS1=1;
	return;
}




#pragma disable
void Initial(void)
{

	RST=1;
	delay_ms(10);
	RST=0;
	delay_ms(10);
	RST=1;
	delay_ms(10);

      
	Write_Instruction(0xe2);//soft reset	 
	delay_ms(10);
	Write_Instruction(0x2c);  	//Control built-in power circuit ON	    VB
	Write_Instruction(0x2e);  	//Control built-in power circuit ON	    VR 
	Write_Instruction(0x2f);  	//Control built-in power circuit ON	    VF 
	delay_ms(10);

	Write_Instruction(0xf8);  //Set booster level
 	Write_Instruction(0x00);  //Set  4X booster level

	Write_Instruction(0x25);  //Select regulation resistor ratio
	Write_Instruction(0x81);  	 //Setelectronic volume (EV) level 
	Write_Instruction(Contrast);  //Setelectronic volume (EV) level 
	Write_Instruction(0xa2);  //1/9bias 
	Write_Instruction(0xc8);  //Set output direction of COM 
	Write_Instruction(0xa0);  //Set scan direction of SEG 
 	Write_Instruction(0xa4);  //Set normal display 

  	Write_Instruction(0xa6);  //Set normal display 

	Write_Instruction(0x40);  //start line
	Write_Instruction(0xaf);  //  display ON 


}


void Set_Contrast_Control_Register(unsigned char mod)
{
    Write_Instruction(0x81);
	Write_Instruction(mod);
	return;
}


// Set page address 0~8
void Set_Page_Address(unsigned char add)
{
    add=0xb0|add;
    Write_Instruction(add);
	return;
}

void Set_Column_Address(unsigned char add)
{	 
    Write_Instruction((0x10|(add>>4)));
	Write_Instruction((0x0f&add));
	return;
}



void Set_Pos(unsigned char x, unsigned char y) 
{ 
	Write_Instruction(0xb0+y);
	Write_Instruction(((x&0xf0)>>4)|0x10);
	Write_Instruction((x&0x0f)); 
} 


				 
// ShowChar   size: 16/8 
void ShowChar(unsigned char x,unsigned char y,unsigned char chr)
{      	
	unsigned char c=0,i=0;	
		c=chr-' ';			
		if(x>Max_Column-1){x=0;if(SIZE==16)y+=2;else y+=1;}
		if(SIZE ==16)
			{
			Set_Pos(x,y);	
			for(i=0;i<8;i++)
			Write_Data(F8X16[c*16+i]);
			Set_Pos(x,y+1);
			for(i=0;i<8;i++)
			Write_Data(F8X16[c*16+i+8]);
			}
			else {	
				Set_Pos(x,y);
				for(i=0;i<6;i++)
				Write_Data(F6x8[c][i]);
				
			}
}



//m^n
unsigned int pow(unsigned char m,unsigned char n)
{
	unsigned int result=1;	 
	while(n--)result*=m;    
	return result;
}				  
//Show  number	 		  
void ShowNum(unsigned char x,unsigned char y,unsigned int num,unsigned char len,unsigned char size2)
{         	
	unsigned char t,temp;
	unsigned char enshow=0;						   
	for(t=0;t<len;t++)
	{
		temp=(num/pow(10,len-t-1))%10;
		if(enshow==0&&t<(len-1))
		{
			if(temp==0)
			{
				ShowChar(x+(size2/2)*t,y,' ');
				continue;
			}else enshow=1; 
		 	 
		}
	 	ShowChar(x+(size2/2)*t,y,temp+'0'); 
	}
} 
//ShowString
void ShowString(unsigned char x,unsigned char y,unsigned char *chr)
{
	unsigned char j=0;
	while (chr[j]!='\0')
	{		ShowChar(x,y,chr[j]);
			x+=8;
		if(x>120){x=0; if(SIZE==16)y+=2;else y+=1;}
			j++;
	}
}
//ShowCHinese
void ShowCHinese(unsigned char x,unsigned char y,unsigned char no)
{      			    
	unsigned char t;
	Set_Pos(x,y);	
    for(t=0;t<16;t++)
		{
				Write_Data(Hzk[32*no+t]);
			
        }	
		Set_Pos(x,y+1);	
    for(t=16;t<32;t++)
		{	
				Write_Data(Hzk[32*no+t]);
			
        }					
}

void DrawBMP(unsigned char x0, unsigned char y0,unsigned char x1, unsigned char y1,unsigned char BMP[])
{ 	
 unsigned int j=0;
 unsigned char x,y;
  
  if(y1%8==0) y=y1/8;      
  else y=y1/8+1;
	for(y=y0;y<y1;y++)
	{
		Set_Pos(x0,y);
    for(x=x0;x<x1;x++)
	    {      
	    	Write_Data(BMP[j++]);	    	
	    }
	}
} 



void ClearScreen(void)
{
    unsigned char i,j;
	for(i=0;i<8;i++)
	{
	Set_Page_Address(i);
    Set_Column_Address(0x00);
        for(j=0;j<132;j++)
		{
		    Write_Data(0x00);
		}
	}
    return;
}

void Show(unsigned char d1,unsigned char d2)
{
    unsigned char i,j;
	for(i=0;i<8;i++)
	{
	Set_Page_Address(i);
    Set_Column_Address(0x00);
        for(j=0;j<64;j++)
		{
		    Write_Data(d1);
			Write_Data(d2);
		}
	}
    return;
}


void Show_line_dot()
{
   Show(0x55,0xaa);
 	delay_ms(1000);
   Show(0xaa,0x55);
 	delay_ms(1000);

   Show(0x55,0x55);
 	delay_ms(1000);
   Show(0xaa,0xaa);
 	delay_ms(1000);

   Show(0xff,0x00);
 	delay_ms(1000);
   Show(0x00,0xff);
 	delay_ms(1000);

    return;
}




//ASCII
//С:6*8
/************************************6*8************************************/
const unsigned char code F6x8[][6] =		
{
0x00, 0x00, 0x00, 0x00, 0x00, 0x00,// sp
0x00, 0x00, 0x00, 0x2f, 0x00, 0x00,// !
0x00, 0x00, 0x07, 0x00, 0x07, 0x00,// "
0x00, 0x14, 0x7f, 0x14, 0x7f, 0x14,// #
0x00, 0x24, 0x2a, 0x7f, 0x2a, 0x12,// $
0x00, 0x62, 0x64, 0x08, 0x13, 0x23,// %
0x00, 0x36, 0x49, 0x55, 0x22, 0x50,// &
0x00, 0x00, 0x05, 0x03, 0x00, 0x00,// '
0x00, 0x00, 0x1c, 0x22, 0x41, 0x00,// (
0x00, 0x00, 0x41, 0x22, 0x1c, 0x00,// )
0x00, 0x14, 0x08, 0x3E, 0x08, 0x14,// *
0x00, 0x08, 0x08, 0x3E, 0x08, 0x08,// +
0x00, 0x00, 0x00, 0xA0, 0x60, 0x00,// ,
0x00, 0x08, 0x08, 0x08, 0x08, 0x08,// -
0x00, 0x00, 0x60, 0x60, 0x00, 0x00,// .
0x00, 0x20, 0x10, 0x08, 0x04, 0x02,// /
0x00, 0x3E, 0x51, 0x49, 0x45, 0x3E,// 0
0x00, 0x00, 0x42, 0x7F, 0x40, 0x00,// 1
0x00, 0x42, 0x61, 0x51, 0x49, 0x46,// 2
0x00, 0x21, 0x41, 0x45, 0x4B, 0x31,// 3
0x00, 0x18, 0x14, 0x12, 0x7F, 0x10,// 4
0x00, 0x27, 0x45, 0x45, 0x45, 0x39,// 5
0x00, 0x3C, 0x4A, 0x49, 0x49, 0x30,// 6
0x00, 0x01, 0x71, 0x09, 0x05, 0x03,// 7
0x00, 0x36, 0x49, 0x49, 0x49, 0x36,// 8
0x00, 0x06, 0x49, 0x49, 0x29, 0x1E,// 9
0x00, 0x00, 0x36, 0x36, 0x00, 0x00,// :
0x00, 0x00, 0x56, 0x36, 0x00, 0x00,// ;
0x00, 0x08, 0x14, 0x22, 0x41, 0x00,// <
0x00, 0x14, 0x14, 0x14, 0x14, 0x14,// =
0x00, 0x00, 0x41, 0x22, 0x14, 0x08,// >
0x00, 0x02, 0x01, 0x51, 0x09, 0x06,// ?
0x00, 0x32, 0x49, 0x59, 0x51, 0x3E,// @
0x00, 0x7C, 0x12, 0x11, 0x12, 0x7C,// A
0x00, 0x7F, 0x49, 0x49, 0x49, 0x36,// B
0x00, 0x3E, 0x41, 0x41, 0x41, 0x22,// C
0x00, 0x7F, 0x41, 0x41, 0x22, 0x1C,// D
0x00, 0x7F, 0x49, 0x49, 0x49, 0x41,// E
0x00, 0x7F, 0x09, 0x09, 0x09, 0x01,// F
0x00, 0x3E, 0x41, 0x49, 0x49, 0x7A,// G
0x00, 0x7F, 0x08, 0x08, 0x08, 0x7F,// H
0x00, 0x00, 0x41, 0x7F, 0x41, 0x00,// I
0x00, 0x20, 0x40, 0x41, 0x3F, 0x01,// J
0x00, 0x7F, 0x08, 0x14, 0x22, 0x41,// K
0x00, 0x7F, 0x40, 0x40, 0x40, 0x40,// L
0x00, 0x7F, 0x02, 0x0C, 0x02, 0x7F,// M
0x00, 0x7F, 0x04, 0x08, 0x10, 0x7F,// N
0x00, 0x3E, 0x41, 0x41, 0x41, 0x3E,// O
0x00, 0x7F, 0x09, 0x09, 0x09, 0x06,// P
0x00, 0x3E, 0x41, 0x51, 0x21, 0x5E,// Q
0x00, 0x7F, 0x09, 0x19, 0x29, 0x46,// R
0x00, 0x46, 0x49, 0x49, 0x49, 0x31,// S
0x00, 0x01, 0x01, 0x7F, 0x01, 0x01,// T
0x00, 0x3F, 0x40, 0x40, 0x40, 0x3F,// U
0x00, 0x1F, 0x20, 0x40, 0x20, 0x1F,// V
0x00, 0x3F, 0x40, 0x38, 0x40, 0x3F,// W
0x00, 0x63, 0x14, 0x08, 0x14, 0x63,// X
0x00, 0x07, 0x08, 0x70, 0x08, 0x07,// Y
0x00, 0x61, 0x51, 0x49, 0x45, 0x43,// Z
0x00, 0x00, 0x7F, 0x41, 0x41, 0x00,// [
0x00, 0x55, 0x2A, 0x55, 0x2A, 0x55,// 55
0x00, 0x00, 0x41, 0x41, 0x7F, 0x00,// ]
0x00, 0x04, 0x02, 0x01, 0x02, 0x04,// ^
0x00, 0x40, 0x40, 0x40, 0x40, 0x40,// _
0x00, 0x00, 0x01, 0x02, 0x04, 0x00,// '
0x00, 0x20, 0x54, 0x54, 0x54, 0x78,// a
0x00, 0x7F, 0x48, 0x44, 0x44, 0x38,// b
0x00, 0x38, 0x44, 0x44, 0x44, 0x20,// c
0x00, 0x38, 0x44, 0x44, 0x48, 0x7F,// d
0x00, 0x38, 0x54, 0x54, 0x54, 0x18,// e
0x00, 0x08, 0x7E, 0x09, 0x01, 0x02,// f
0x00, 0x18, 0xA4, 0xA4, 0xA4, 0x7C,// g
0x00, 0x7F, 0x08, 0x04, 0x04, 0x78,// h
0x00, 0x00, 0x44, 0x7D, 0x40, 0x00,// i
0x00, 0x40, 0x80, 0x84, 0x7D, 0x00,// j
0x00, 0x7F, 0x10, 0x28, 0x44, 0x00,// k
0x00, 0x00, 0x41, 0x7F, 0x40, 0x00,// l
0x00, 0x7C, 0x04, 0x18, 0x04, 0x78,// m
0x00, 0x7C, 0x08, 0x04, 0x04, 0x78,// n
0x00, 0x38, 0x44, 0x44, 0x44, 0x38,// o
0x00, 0xFC, 0x24, 0x24, 0x24, 0x18,// p
0x00, 0x18, 0x24, 0x24, 0x18, 0xFC,// q
0x00, 0x7C, 0x08, 0x04, 0x04, 0x08,// r
0x00, 0x48, 0x54, 0x54, 0x54, 0x20,// s
0x00, 0x04, 0x3F, 0x44, 0x40, 0x20,// t
0x00, 0x3C, 0x40, 0x40, 0x20, 0x7C,// u
0x00, 0x1C, 0x20, 0x40, 0x20, 0x1C,// v
0x00, 0x3C, 0x40, 0x30, 0x40, 0x3C,// w
0x00, 0x44, 0x28, 0x10, 0x28, 0x44,// x
0x00, 0x1C, 0xA0, 0xA0, 0xA0, 0x7C,// y
0x00, 0x44, 0x64, 0x54, 0x4C, 0x44,// z
0x14, 0x14, 0x14, 0x14, 0x14, 0x14,// horiz lines
};
/****************************************8*16************************************/
const unsigned char code F8X16[]=	  
{
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,// 0
  0x00,0x00,0x00,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x30,0x00,0x00,0x00,//! 1
  0x00,0x10,0x0C,0x06,0x10,0x0C,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,//" 2
  0x40,0xC0,0x78,0x40,0xC0,0x78,0x40,0x00,0x04,0x3F,0x04,0x04,0x3F,0x04,0x04,0x00,//# 3
  0x00,0x70,0x88,0xFC,0x08,0x30,0x00,0x00,0x00,0x18,0x20,0xFF,0x21,0x1E,0x00,0x00,//$ 4
  0xF0,0x08,0xF0,0x00,0xE0,0x18,0x00,0x00,0x00,0x21,0x1C,0x03,0x1E,0x21,0x1E,0x00,//% 5
  0x00,0xF0,0x08,0x88,0x70,0x00,0x00,0x00,0x1E,0x21,0x23,0x24,0x19,0x27,0x21,0x10,//& 6
  0x10,0x16,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,//' 7
  0x00,0x00,0x00,0xE0,0x18,0x04,0x02,0x00,0x00,0x00,0x00,0x07,0x18,0x20,0x40,0x00,//( 8
  0x00,0x02,0x04,0x18,0xE0,0x00,0x00,0x00,0x00,0x40,0x20,0x18,0x07,0x00,0x00,0x00,//) 9
  0x40,0x40,0x80,0xF0,0x80,0x40,0x40,0x00,0x02,0x02,0x01,0x0F,0x01,0x02,0x02,0x00,//* 10
  0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x1F,0x01,0x01,0x01,0x00,//+ 11
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xB0,0x70,0x00,0x00,0x00,0x00,0x00,//, 12
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x01,0x01,0x01,0x01,//- 13
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00,0x00,0x00,//. 14
  0x00,0x00,0x00,0x00,0x80,0x60,0x18,0x04,0x00,0x60,0x18,0x06,0x01,0x00,0x00,0x00,/// 15
  0x00,0xE0,0x10,0x08,0x08,0x10,0xE0,0x00,0x00,0x0F,0x10,0x20,0x20,0x10,0x0F,0x00,//0 16
  0x00,0x10,0x10,0xF8,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00,//1 17
  0x00,0x70,0x08,0x08,0x08,0x88,0x70,0x00,0x00,0x30,0x28,0x24,0x22,0x21,0x30,0x00,//2 18
  0x00,0x30,0x08,0x88,0x88,0x48,0x30,0x00,0x00,0x18,0x20,0x20,0x20,0x11,0x0E,0x00,//3 19
  0x00,0x00,0xC0,0x20,0x10,0xF8,0x00,0x00,0x00,0x07,0x04,0x24,0x24,0x3F,0x24,0x00,//4 20
  0x00,0xF8,0x08,0x88,0x88,0x08,0x08,0x00,0x00,0x19,0x21,0x20,0x20,0x11,0x0E,0x00,//5 21
  0x00,0xE0,0x10,0x88,0x88,0x18,0x00,0x00,0x00,0x0F,0x11,0x20,0x20,0x11,0x0E,0x00,//6 22
  0x00,0x38,0x08,0x08,0xC8,0x38,0x08,0x00,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x00,//7 23
  0x00,0x70,0x88,0x08,0x08,0x88,0x70,0x00,0x00,0x1C,0x22,0x21,0x21,0x22,0x1C,0x00,//8 24
  0x00,0xE0,0x10,0x08,0x08,0x10,0xE0,0x00,0x00,0x00,0x31,0x22,0x22,0x11,0x0F,0x00,//9 25
  0x00,0x00,0x00,0xC0,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00,//: 26
  0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x60,0x00,0x00,0x00,0x00,//; 27
  0x00,0x00,0x80,0x40,0x20,0x10,0x08,0x00,0x00,0x01,0x02,0x04,0x08,0x10,0x20,0x00,//< 28
  0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x00,//= 29
  0x00,0x08,0x10,0x20,0x40,0x80,0x00,0x00,0x00,0x20,0x10,0x08,0x04,0x02,0x01,0x00,//> 30
  0x00,0x70,0x48,0x08,0x08,0x08,0xF0,0x00,0x00,0x00,0x00,0x30,0x36,0x01,0x00,0x00,//? 31
  0xC0,0x30,0xC8,0x28,0xE8,0x10,0xE0,0x00,0x07,0x18,0x27,0x24,0x23,0x14,0x0B,0x00,//@ 32
  0x00,0x00,0xC0,0x38,0xE0,0x00,0x00,0x00,0x20,0x3C,0x23,0x02,0x02,0x27,0x38,0x20,//A 33
  0x08,0xF8,0x88,0x88,0x88,0x70,0x00,0x00,0x20,0x3F,0x20,0x20,0x20,0x11,0x0E,0x00,//B 34
  0xC0,0x30,0x08,0x08,0x08,0x08,0x38,0x00,0x07,0x18,0x20,0x20,0x20,0x10,0x08,0x00,//C 35
  0x08,0xF8,0x08,0x08,0x08,0x10,0xE0,0x00,0x20,0x3F,0x20,0x20,0x20,0x10,0x0F,0x00,//D 36
  0x08,0xF8,0x88,0x88,0xE8,0x08,0x10,0x00,0x20,0x3F,0x20,0x20,0x23,0x20,0x18,0x00,//E 37
  0x08,0xF8,0x88,0x88,0xE8,0x08,0x10,0x00,0x20,0x3F,0x20,0x00,0x03,0x00,0x00,0x00,//F 38
  0xC0,0x30,0x08,0x08,0x08,0x38,0x00,0x00,0x07,0x18,0x20,0x20,0x22,0x1E,0x02,0x00,//G 39
  0x08,0xF8,0x08,0x00,0x00,0x08,0xF8,0x08,0x20,0x3F,0x21,0x01,0x01,0x21,0x3F,0x20,//H 40
  0x00,0x08,0x08,0xF8,0x08,0x08,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00,//I 41
  0x00,0x00,0x08,0x08,0xF8,0x08,0x08,0x00,0xC0,0x80,0x80,0x80,0x7F,0x00,0x00,0x00,//J 42
  0x08,0xF8,0x88,0xC0,0x28,0x18,0x08,0x00,0x20,0x3F,0x20,0x01,0x26,0x38,0x20,0x00,//K 43
  0x08,0xF8,0x08,0x00,0x00,0x00,0x00,0x00,0x20,0x3F,0x20,0x20,0x20,0x20,0x30,0x00,//L 44
  0x08,0xF8,0xF8,0x00,0xF8,0xF8,0x08,0x00,0x20,0x3F,0x00,0x3F,0x00,0x3F,0x20,0x00,//M 45
  0x08,0xF8,0x30,0xC0,0x00,0x08,0xF8,0x08,0x20,0x3F,0x20,0x00,0x07,0x18,0x3F,0x00,//N 46
  0xE0,0x10,0x08,0x08,0x08,0x10,0xE0,0x00,0x0F,0x10,0x20,0x20,0x20,0x10,0x0F,0x00,//O 47
  0x08,0xF8,0x08,0x08,0x08,0x08,0xF0,0x00,0x20,0x3F,0x21,0x01,0x01,0x01,0x00,0x00,//P 48
  0xE0,0x10,0x08,0x08,0x08,0x10,0xE0,0x00,0x0F,0x18,0x24,0x24,0x38,0x50,0x4F,0x00,//Q 49
  0x08,0xF8,0x88,0x88,0x88,0x88,0x70,0x00,0x20,0x3F,0x20,0x00,0x03,0x0C,0x30,0x20,//R 50
  0x00,0x70,0x88,0x08,0x08,0x08,0x38,0x00,0x00,0x38,0x20,0x21,0x21,0x22,0x1C,0x00,//S 51
  0x18,0x08,0x08,0xF8,0x08,0x08,0x18,0x00,0x00,0x00,0x20,0x3F,0x20,0x00,0x00,0x00,//T 52
  0x08,0xF8,0x08,0x00,0x00,0x08,0xF8,0x08,0x00,0x1F,0x20,0x20,0x20,0x20,0x1F,0x00,//U 53
  0x08,0x78,0x88,0x00,0x00,0xC8,0x38,0x08,0x00,0x00,0x07,0x38,0x0E,0x01,0x00,0x00,//V 54
  0xF8,0x08,0x00,0xF8,0x00,0x08,0xF8,0x00,0x03,0x3C,0x07,0x00,0x07,0x3C,0x03,0x00,//W 55
  0x08,0x18,0x68,0x80,0x80,0x68,0x18,0x08,0x20,0x30,0x2C,0x03,0x03,0x2C,0x30,0x20,//X 56
  0x08,0x38,0xC8,0x00,0xC8,0x38,0x08,0x00,0x00,0x00,0x20,0x3F,0x20,0x00,0x00,0x00,//Y 57
  0x10,0x08,0x08,0x08,0xC8,0x38,0x08,0x00,0x20,0x38,0x26,0x21,0x20,0x20,0x18,0x00,//Z 58
  0x00,0x00,0x00,0xFE,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x7F,0x40,0x40,0x40,0x00,//[ 59
  0x00,0x0C,0x30,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x06,0x38,0xC0,0x00,//\ 60
  0x00,0x02,0x02,0x02,0xFE,0x00,0x00,0x00,0x00,0x40,0x40,0x40,0x7F,0x00,0x00,0x00,//] 61
  0x00,0x00,0x04,0x02,0x02,0x02,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,//^ 62
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,//_ 63
  0x00,0x02,0x02,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,//` 64
  0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x19,0x24,0x22,0x22,0x22,0x3F,0x20,//a 65
  0x08,0xF8,0x00,0x80,0x80,0x00,0x00,0x00,0x00,0x3F,0x11,0x20,0x20,0x11,0x0E,0x00,//b 66
  0x00,0x00,0x00,0x80,0x80,0x80,0x00,0x00,0x00,0x0E,0x11,0x20,0x20,0x20,0x11,0x00,//c 67
  0x00,0x00,0x00,0x80,0x80,0x88,0xF8,0x00,0x00,0x0E,0x11,0x20,0x20,0x10,0x3F,0x20,//d 68
  0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x1F,0x22,0x22,0x22,0x22,0x13,0x00,//e 69
  0x00,0x80,0x80,0xF0,0x88,0x88,0x88,0x18,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00,//f 70
  0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x6B,0x94,0x94,0x94,0x93,0x60,0x00,//g 71
  0x08,0xF8,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x3F,0x21,0x00,0x00,0x20,0x3F,0x20,//h 72
  0x00,0x80,0x98,0x98,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00,//i 73
  0x00,0x00,0x00,0x80,0x98,0x98,0x00,0x00,0x00,0xC0,0x80,0x80,0x80,0x7F,0x00,0x00,//j 74
  0x08,0xF8,0x00,0x00,0x80,0x80,0x80,0x00,0x20,0x3F,0x24,0x02,0x2D,0x30,0x20,0x00,//k 75
  0x00,0x08,0x08,0xF8,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00,//l 76
  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x20,0x3F,0x20,0x00,0x3F,0x20,0x00,0x3F,//m 77
  0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x3F,0x21,0x00,0x00,0x20,0x3F,0x20,//n 78
  0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x1F,0x20,0x20,0x20,0x20,0x1F,0x00,//o 79
  0x80,0x80,0x00,0x80,0x80,0x00,0x00,0x00,0x80,0xFF,0xA1,0x20,0x20,0x11,0x0E,0x00,//p 80
  0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x0E,0x11,0x20,0x20,0xA0,0xFF,0x80,//q 81
  0x80,0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x20,0x20,0x3F,0x21,0x20,0x00,0x01,0x00,//r 82
  0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x33,0x24,0x24,0x24,0x24,0x19,0x00,//s 83
  0x00,0x80,0x80,0xE0,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x1F,0x20,0x20,0x00,0x00,//t 84
  0x80,0x80,0x00,0x00,0x00,0x80,0x80,0x00,0x00,0x1F,0x20,0x20,0x20,0x10,0x3F,0x20,//u 85
  0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x00,0x01,0x0E,0x30,0x08,0x06,0x01,0x00,//v 86
  0x80,0x80,0x00,0x80,0x00,0x80,0x80,0x80,0x0F,0x30,0x0C,0x03,0x0C,0x30,0x0F,0x00,//w 87
  0x00,0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x31,0x2E,0x0E,0x31,0x20,0x00,//x 88
  0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x81,0x8E,0x70,0x18,0x06,0x01,0x00,//y 89
  0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x21,0x30,0x2C,0x22,0x21,0x30,0x00,//z 90
  0x00,0x00,0x00,0x00,0x80,0x7C,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x3F,0x40,0x40,//{ 91
  0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,//| 92
  0x00,0x02,0x02,0x7C,0x80,0x00,0x00,0x00,0x00,0x40,0x40,0x3F,0x00,0x00,0x00,0x00,//} 93
  0x00,0x06,0x01,0x01,0x02,0x02,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,//~ 94
};
unsigned char code Hzk[]={

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x60,0x02,0x8C,0x00,0x0E,0x22,0x12,0x0A,0xC2,0x0A,0x12,0x22,0x0E,0x00,0x00,
0x04,0x04,0x7E,0x01,0x20,0x21,0x11,0x09,0x05,0xFF,0x05,0x09,0x11,0x21,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x20,0x20,0xFF,0x20,0x20,0x00,0xFF,0x00,0x00,0xFE,0x00,0x00,0xFF,0x00,0x00,
0x10,0x30,0x10,0x0F,0x08,0x88,0x60,0x1F,0x00,0x00,0x3F,0x00,0x00,0xFF,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0xFF,0x10,0x10,0xF0,0x00,0x00,0xFE,0x22,0x22,0x22,0xFE,0x00,0x00,0x00,
0x80,0x60,0x1F,0x00,0x00,0x3F,0x40,0x40,0x4F,0x44,0x44,0x44,0x4F,0x40,0x78,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xFE,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0xFE,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0xFF,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x08,0x88,0x48,0x28,0x18,0x0F,0xE8,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,
0x00,0x20,0x11,0x09,0x05,0x41,0x81,0x7F,0x01,0x01,0x05,0x09,0x11,0x20,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x08,0x08,0x08,0xF8,0x89,0x8E,0x88,0x88,0x88,0x88,0x08,0x08,0x08,0x00,
0x00,0x80,0x40,0x20,0x18,0x07,0x00,0x00,0x40,0x80,0x40,0x3F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x24,0x24,0xA4,0xFE,0xA3,0x22,0x00,0x22,0xCC,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x08,0x06,0x01,0xFF,0x00,0x01,0x04,0x04,0x04,0x04,0x04,0xFF,0x02,0x02,0x02,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0x10,0xFF,0x10,0x90,0x08,0x88,0x88,0x88,0xFF,0x88,0x88,0x88,0x08,0x00,
0x04,0x44,0x82,0x7F,0x01,0x80,0x80,0x40,0x43,0x2C,0x10,0x28,0x46,0x81,0x80,0x00,



/*--  :  ͼ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0xFE,0x02,0x42,0x22,0x32,0x5E,0x92,0x52,0x32,0x12,0x02,0x02,0xFE,0x00,0x00,
0x00,0xFF,0x42,0x42,0x42,0x51,0x55,0x64,0x69,0x41,0x42,0x42,0x42,0xFF,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x80,0x82,0x82,0xFE,0x82,0x82,0xFE,0x82,0x82,0x80,0x20,0x10,0x08,0x86,0x60,0x00,
0x80,0x40,0x30,0x0F,0x00,0x00,0xFF,0x00,0x00,0x80,0x84,0x42,0x21,0x10,0x0C,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xFE,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0xFE,0x00,0x00,0x00,0x00,
0x40,0x42,0x44,0x58,0x40,0x7F,0x40,0x40,0x40,0x7F,0x40,0x50,0x48,0x46,0x40,0x00,

/*--  :  ʾ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x40,0x42,0x42,0x42,0x42,0x42,0xC2,0x42,0x42,0x42,0x42,0x42,0x40,0x40,0x00,
0x20,0x10,0x08,0x06,0x00,0x40,0x80,0x7F,0x00,0x00,0x00,0x02,0x04,0x08,0x30,0x00,

/*--  :  ģ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0xD0,0xFF,0x90,0x14,0xE4,0xAF,0xA4,0xA4,0xA4,0xAF,0xE4,0x04,0x00,0x00,
0x04,0x03,0x00,0xFF,0x00,0x89,0x4B,0x2A,0x1A,0x0E,0x1A,0x2A,0x4B,0x88,0x80,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x30,0xAC,0x63,0x30,0x00,0x00,0xFE,0x22,0x22,0x22,0x22,0xFE,0x00,0x00,0x00,
0x22,0x67,0x22,0x12,0x12,0x40,0x40,0x7F,0x42,0x42,0x42,0x42,0x7F,0x40,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x60,0x02,0x8C,0x00,0xFE,0x02,0xF2,0x02,0xFE,0x00,0xF8,0x00,0xFF,0x00,0x00,
0x04,0x04,0x7E,0x01,0x80,0x47,0x30,0x0F,0x10,0x27,0x00,0x47,0x80,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x40,0x42,0xCC,0x00,0x90,0x90,0x90,0x90,0x90,0xFF,0x10,0x11,0x16,0x10,0x00,
0x00,0x00,0x00,0x3F,0x10,0x28,0x60,0x3F,0x10,0x10,0x01,0x0E,0x30,0x40,0xF0,0x00,

};


unsigned char code pic1[]=
{/*--  12864LOGO.bmp  --*/
/*--  128x64  --*/
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x81,0xC1,0xF1,0xF9,0xFD,0xF1,0x01,0x81,0xC1,0x81,0x81,
0x81,0x81,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x81,0xF1,0xF9,0xFF,0xFD,0xC1,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xC1,0xE1,0xF1,0xF9,0xF9,0xFD,0xFD,0xF9,
0xF1,0xE1,0xE1,0xB1,0x11,0x19,0x1D,0x1D,0x0D,0x09,0x19,0x19,0x19,0x09,0x09,0x39,
0xF9,0xD9,0x81,0x01,0x01,0x01,0x01,0x81,0x81,0x81,0x81,0x01,0x01,0x01,0x01,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x03,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x01,0xFF,0xFF,0xFF,
0x03,0x03,0x07,0x07,0x07,0x0F,0x0F,0x0E,0x1E,0x1E,0x1E,0x3C,0x3C,0x3C,0x7C,0x78,
0x78,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x60,0x60,0x70,0x78,0x7E,0x7B,0x6F,0x4D,0x7B,0x73,0xFF,
0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1F,0x3F,0xFF,0x3F,0x1F,0xFF,0xFF,0xFF,
0xFF,0xF7,0xF7,0xF6,0xEC,0xDC,0xF8,0x30,0x30,0xF0,0xF8,0xF8,0xF8,0xF8,0xE8,0xEC,
0xEF,0xFB,0xFB,0xF3,0x0E,0x3F,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0x3C,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x3C,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,
0xE0,0xE0,0xC0,0xC0,0xC0,0x80,0x81,0x0F,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x7F,0xFF,
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xF8,0xFF,0xFF,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0xC3,0x7F,0xF8,0xD0,0x90,0x90,0xF0,0x78,0xDE,0xE3,0xF0,0xF8,0xF8,0xFC,0xBC,0xDF,
0x5F,0xFF,0xFF,0x7B,0x01,0x01,0x00,0x00,0xC0,0xF0,0xF1,0x7B,0x7B,0xFB,0xF7,0xF7,
0xE3,0xE3,0xC3,0x01,0x00,0x00,0x00,0xFF,0xF9,0x01,0x01,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1F,0x7F,0xF8,0xC1,
0x01,0x01,0x03,0x03,0x03,0x07,0x07,0x07,0x00,0x07,0x3F,0xFF,0xFF,0x00,0x00,0x3F,
0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xC0,0xFF,0xFF,0x1F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,
0x1C,0x38,0x30,0x23,0x77,0xFF,0xFF,0xC0,0x87,0x0F,0x1F,0x1F,0x1F,0x1F,0x1D,0x0C,
0x1E,0x39,0x19,0x00,0x00,0x00,0x00,0x00,0x03,0x19,0x19,0x3B,0x38,0x7F,0x7F,0x7F,
0x3F,0x3F,0x1F,0x02,0x00,0x80,0xC0,0xFF,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x01,0x07,
0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x1F,0x3F,0x80,0x00,
0x0F,0x0F,0x8E,0x8E,0x8E,0x8E,0x8E,0x8E,0x0E,0x0E,0x0E,0x0E,0x8E,0x8E,0x0E,0x0E,
0x0F,0x0F,0x01,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1E,0x79,0xE3,0x86,0x0C,0xC8,0xF8,0xF1,0x73,
0x23,0x23,0x23,0x63,0x61,0x60,0x40,0x40,0x40,0x60,0xE0,0xE0,0xE0,0x60,0xE0,0xF0,
0xF0,0xF8,0xCC,0x0C,0x06,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x88,0x88,0x88,0x88,0x00,0x00,0x64,0xF2,0x9A,
0x8A,0xFE,0xFC,0x00,0x00,0x4C,0xDE,0x9A,0xB2,0xF6,0x64,0x00,0x02,0x7F,0xFF,0x82,
0x00,0x00,0xFF,0xFF,0x08,0x08,0x18,0x7F,0xE7,0x80,0x00,0x00,0xFE,0xFE,0x00,0x00,
0x4C,0xDE,0x9A,0xB2,0xF6,0x64,0x00,0x00,0xFE,0xFE,0x00,0x00,0xFE,0xFE,0x04,0x02,
0xFE,0xFC,0x00,0x00,0x7C,0xFE,0x82,0x44,0xFE,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFB,0x3F,0x03,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x0C,0x38,0xE0,0x40,
0x01,0x03,0x0F,0x38,0xF0,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x0C,0xEC,0x8C,0x8C,0x8C,0x0C,0x0C,0x8C,0x0C,0x0C,0x0C,0x8C,0x0C,0x8C,
0x0C,0x0C,0x0C,0x8C,0x0C,0x0C,0x8C,0x8C,0x8C,0xEC,0x0C,0xAC,0x0C,0x0C,0x0C,0x8C,
0x8C,0x8C,0x0C,0x8C,0x8C,0x8C,0x8C,0x0C,0x0C,0xEC,0x0C,0x0C,0x8C,0x8C,0x8C,0x0C,
0x0C,0x8C,0x0C,0x0C,0x0C,0x8C,0x0C,0x0C,0x0C,0x0C,0x8C,0x8C,0x0C,0x0C,0x0C,0x8C,
0x8C,0x8C,0x0C,0x0C,0x8D,0x8E,0x8E,0x0E,0x8F,0x8D,0x0C,0x0C,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xC0,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC3,0xFE,
0x3E,0x1C,0x0C,0x06,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x8F,0x88,0x88,0x88,0x87,0x80,0x87,0x88,0x88,0x88,0x8F,0x80,0xA0,
0xA7,0x98,0x87,0x80,0x80,0x87,0x88,0x88,0x88,0x8F,0x80,0x8F,0x80,0x80,0x89,0x8A,
0x8A,0x84,0x80,0xBF,0x88,0x88,0x88,0x87,0x80,0x8F,0x80,0x80,0x84,0x8A,0x8A,0x8F,
0x80,0xA0,0xA7,0x98,0x87,0x80,0x80,0x88,0x80,0x87,0x88,0x88,0x85,0x80,0x87,0x88,
0x88,0x88,0x87,0x80,0x8F,0x80,0x80,0x8F,0x80,0x80,0x8F,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x81,0x9F,0xB8,0xE0,0xC0,0xC0,
0xC2,0xC2,0xC6,0xE6,0xFE,0xC6,0xC0,0xC0,0x80,0x80,0xC0,0xC0,0xE0,0xFC,0x9F,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xFF,

};

unsigned char code pic2[]=
{
/*--  12864XM.bmp  --*/
/*--  128x64  --*/
0x07,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0xE0,0xF0,0x30,0x10,0x18,
0x18,0x18,0x10,0x30,0x18,0x0C,0x84,0x8F,0xCC,0xCC,0xDC,0xFC,0x70,0x40,0xC0,0xF0,
0xF8,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xC0,0xF8,0xFC,0xFF,0xFE,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0xE0,0xF0,0xF8,0xFC,0xFC,0xFE,0xFE,0xFC,0xF8,0xF0,0xF0,0x58,0x08,
0x0C,0x0E,0x0E,0x06,0x04,0x0C,0x0C,0x0C,0x04,0x04,0x1C,0xFC,0xEC,0xC0,0x80,0x00,
0x80,0x80,0xC0,0xC0,0xC0,0xC0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xF9,0xFF,
0xE0,0xE0,0xF8,0xF8,0xF8,0xF8,0xF8,0xF0,0xF0,0x78,0x1C,0x3F,0x3F,0xBE,0xBF,0xFF,
0xDF,0xDD,0x8F,0x87,0x03,0x03,0x07,0x87,0xEF,0xEF,0x7F,0x7F,0xF7,0xF2,0xF3,0xE7,
0xEF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x38,0x10,0x00,0x00,
0x30,0x30,0x38,0x3C,0x3F,0x3D,0x37,0x26,0x3D,0x39,0x7F,0xF8,0x80,0x00,0x00,0x00,
0x00,0x00,0x03,0x0F,0x9F,0x7F,0x1F,0x0F,0x7F,0x7F,0xFF,0xFF,0xFB,0xFB,0xFB,0xF6,
0xEE,0x7C,0x18,0x18,0x78,0xFC,0xFC,0xFC,0xFC,0xF4,0xF6,0xF7,0xFD,0xFD,0xF9,0x07,
0x1F,0x3F,0xFF,0xFF,0xFF,0xFF,0x7F,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC0,0x40,0xE0,0xF0,0x3C,0x1E,0x9B,0xD9,
0x07,0x07,0x0F,0x1F,0x1F,0x1F,0xFF,0xFF,0x01,0x00,0xF8,0xFE,0xFF,0xFF,0x0F,0x03,
0x73,0x11,0x11,0xB3,0x0F,0x00,0x00,0x0F,0x03,0x18,0x04,0x0C,0xC8,0xC0,0xE3,0xFF,
0xFF,0xFF,0x7F,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x61,0x3F,0x7C,0xE8,0xC8,
0xC8,0xF8,0x3C,0xEF,0xF1,0xF8,0xFC,0xFC,0xFE,0xDE,0x6F,0x2F,0xFF,0xFF,0x3D,0x00,
0x00,0x00,0x00,0xE0,0xF8,0xF8,0xBD,0x3D,0xFD,0xFB,0xFB,0xF1,0xF1,0xE1,0x00,0x00,
0x00,0x00,0xFF,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xF0,0xFC,0x06,0x03,0x61,0xC0,0x00,0x03,0x07,0x04,0x9A,0x1B,0x1B,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x07,0x0F,0x0F,0x0F,0x0F,0x0E,
0x0E,0x06,0x03,0x01,0x30,0x32,0x33,0x1F,0x1B,0x10,0x10,0x1C,0x0C,0x00,0x00,0x00,
0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0E,0x1C,0x18,0x11,0x3B,
0x7F,0xFF,0x60,0xC3,0x87,0x0F,0x0F,0x0F,0x0F,0x8E,0x86,0x8F,0x9C,0x8C,0x80,0x80,
0x00,0x00,0x00,0x01,0x0C,0x0C,0x1D,0x1C,0x3F,0x3F,0x3F,0x1F,0x1F,0x0F,0x01,0x00,
0xC0,0xE0,0x7F,0x1F,0x00,0x00,0x00,0x00,0x00,0xC0,0xE0,0xF0,0xF8,0xFC,0xFE,0xFC,
0xF8,0xE0,0xE0,0xE1,0xC7,0xDC,0xB0,0xE0,0x80,0x01,0x03,0x03,0x01,0x01,0x07,0x0C,
0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0x1C,0x38,0x30,0x20,0x60,0x60,0x40,0x40,
0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0x40,0x40,0x00,0x00,0x20,0x20,0x10,0x18,
0x08,0x0C,0x1E,0x1F,0x3F,0x3F,0xFF,0xFF,0x7F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x03,0x0F,0x3C,0xF1,0xC3,0x06,0xE4,0xFC,0x78,0x39,0x11,0x11,0x11,0x31,0x30,
0x30,0x20,0x20,0x20,0x30,0xF0,0xF0,0x70,0x30,0x70,0xF8,0xF8,0xFC,0xE6,0x06,0x03,
0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xF1,0xFF,0x7F,0xDF,0x87,0xC3,0x7E,
0x9E,0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE,0xFC,0xF8,0xF8,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xFC,
0xFE,0xFF,0xFF,0xFF,0xFF,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFB,0x3F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x0C,0x38,0xE0,0x40,0x01,0x03,0x0F,0x38,0xF0,
0x40,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x0F,0x1F,0x3F,0x3F,0x7E,0x7E,0x7E,0xFF,
0xFF,0xE3,0xC9,0x88,0x9A,0xB1,0xC1,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x1F,0x1F,0x3F,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,
0x07,0xEF,0xFF,0x0F,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xE0,0x00,0x80,0x80,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x80,0x00,
0x00,0x00,0x80,0x00,0x00,0x9F,0x80,0x00,0xE0,0x00,0xA0,0x00,0x00,0x80,0x80,0x80,
0x00,0x00,0x80,0x00,0x80,0x80,0x00,0x00,0xE0,0x03,0x1E,0x9E,0x9C,0x8C,0x06,0x03,
0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x00,0x00,0x00,
0x80,0x87,0x9F,0x03,0x03,0x83,0x07,0x87,0x87,0x87,0x83,0x01,0x00,0x00,0x00,0x00,
0xE0,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x80,0xBF,0xE1,0xC0,0x80,0x80,0x80,0x80,0x80,0x80,0xE4,0xBC,0x88,0x88,0xF8,0xC8,
0x80,0x80,0x80,0x80,0x80,0xC0,0xC0,0xF8,0xCF,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1F,0x09,0x10,0x10,0x0F,0x00,0x0F,0x10,0x10,0x08,0x1F,0x00,0x01,0x46,
0x38,0x06,0x01,0x00,0x0F,0x10,0x10,0x09,0x1F,0x00,0x1F,0x00,0x09,0x12,0x12,0x14,
0x09,0x00,0x7F,0x09,0x10,0x10,0x0F,0x00,0x1F,0x00,0x0D,0x12,0x12,0x0A,0x1F,0x00,
0x01,0x46,0x38,0x06,0x01,0x00,0x00,0x10,0x00,0x0F,0x10,0x10,0x10,0x09,0x00,0x0F,
0x10,0x10,0x10,0x0F,0x00,0x1F,0x01,0x00,0x1F,0x00,0x00,0x1F,0x00,0x80,0x80,0xE0,
};


unsigned char code pic3[]=
{/*--128642.bmp  --*/
/*-- 128x64  --*/
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0xC1,0xF1,0xFD,0xFD,0x81,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0xC1,0xE1,0xF1,0xF9,0xF9,0xFD,0xFD,0xF9,0xF9,0x61,0xF1,0x51,
0x01,0x09,0x0D,0x0D,0x05,0x09,0x09,0x09,0x09,0x09,0x09,0x99,0xB9,0xC1,0x01,0x01,
0x01,0x81,0x81,0xC1,0xC1,0x81,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xE1,0xF1,0xF1,0xF1,
0xE1,0xC1,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xF1,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xFF,
0xFF,0x00,0x30,0x30,0x78,0x7C,0x7F,0x71,0x66,0x60,0x71,0x7F,0x7C,0x80,0x00,0x00,
0x00,0x00,0x00,0x00,0x07,0x8F,0x7F,0x1F,0x1F,0x3F,0x7F,0xFE,0xFE,0xFA,0xF3,0xF6,
0xF6,0xC4,0x48,0x18,0x18,0x78,0xF8,0xF8,0xF8,0xFC,0xF4,0xF4,0xEF,0xE8,0x99,0x71,
0x06,0x1F,0xFF,0xFF,0xFF,0xFF,0x7F,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFC,0xFE,0xFE,
0xFC,0x78,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x0C,0x04,0x04,0x07,0x07,0x0F,0x0F,
0x0F,0x0F,0x1F,0x10,0x10,0x20,0x20,0x40,0xC0,0x80,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x23,0x7C,0x48,
0x48,0x88,0x78,0x30,0x0C,0xE3,0xF0,0xF8,0xFC,0x1E,0x4E,0x4E,0x6F,0xDF,0x7D,0x31,
0x01,0x00,0x00,0x00,0xC0,0xB0,0x98,0x99,0x39,0xF9,0xF9,0xF9,0xF1,0xE1,0xC0,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x70,0x08,0x07,0x03,0x01,
0x00,0x80,0x80,0x84,0x84,0x00,0x08,0x00,0x00,0x00,0x02,0x01,0xC0,0xF0,0xF8,0xFC,
0xFE,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7E,0x7C,0x7C,0x30,0x60,
0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x08,0x18,0x10,
0x10,0x3F,0xF8,0x60,0xC0,0x83,0x07,0x0F,0x0F,0x0E,0x0C,0x04,0x0E,0x8C,0x88,0x00,
0x80,0x00,0x00,0x00,0x00,0x04,0x0C,0x1D,0x1D,0x3F,0x3F,0x3F,0x3F,0x1F,0x0F,0x00,
0x00,0x80,0xE0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFE,0xF1,0xFC,0xFC,0xFE,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7E,0x7E,0x7C,0x38,0x20,0x1F,0x3F,0xFF,0xFF,
0xCF,0xC7,0xE7,0xE3,0xF3,0xF3,0xF1,0xF9,0xF9,0xFC,0xFC,0xFC,0xFE,0x7E,0x3F,0x00,
0x01,0x1F,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x01,0x03,0x1C,0x71,0x83,0x02,0xE4,0xFC,0x78,0x39,0x11,0x10,0x10,0x10,
0x20,0x20,0x20,0x20,0x20,0xE0,0xE0,0xE0,0x70,0x30,0x30,0x78,0xF8,0xFC,0xE4,0x02,
0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xCF,0x3F,0xFF,0xFF,0xC7,0xE7,0xE3,
0xF3,0xF3,0xF1,0xF9,0xF8,0xFC,0xFC,0xFC,0xFE,0xFE,0x7F,0x1F,0x03,0x00,0x00,0x01,
0x03,0x03,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x03,0x01,0x01,0x80,0x40,0x20,
0x18,0x0F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x1F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x01,0x03,0x01,0x04,0x10,0x60,0x00,0x00,0x03,0x07,0x18,
0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x06,0x08,0x11,0x31,0x23,0x43,
0x47,0xC7,0x87,0x87,0x87,0x83,0x03,0x03,0x01,0x00,0x00,0x04,0x04,0x84,0xA0,0x80,
0x80,0xC0,0xC0,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0xFE,0xC2,0xC1,0xE0,0xF0,0x70,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xE0,0x80,0x80,0x83,0x0E,0x0E,0x8C,0x84,0x00,
0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x80,0x80,0x00,0x80,0x80,0x80,0xE0,0xE0,
0x0F,0xA0,0xA0,0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x00,0x00,0xE0,0xE0,0x00,0x01,0x81,0x81,0x81,0x07,0x87,0x83,0x03,0x07,0x07,0x87,
0x87,0x07,0x07,0x07,0x07,0x87,0x87,0x87,0x07,0x07,0x07,0x87,0x87,0x83,0x81,0x00,
0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x87,0x90,0xA0,0xA0,0xC0,0xC1,0xC2,0xC2,0xA6,
0xB6,0xA2,0xC0,0xC0,0xC0,0x80,0x9F,0x9F,0x90,0x90,0x9F,0x8F,0x80,0x8F,0x9F,0x90,
0x90,0x9F,0x9F,0xC0,0xC7,0xFF,0xB8,0x9F,0x87,0x80,0x8F,0x9F,0x90,0x90,0x9F,0x9F,
0x80,0x9F,0x9F,0x80,0x8B,0x9B,0x96,0x96,0x9D,0x8D,0x80,0xFF,0xFF,0x90,0x90,0x9F,
0x8F,0x80,0x9F,0x9F,0x80,0x8D,0x9E,0x92,0x9F,0x9F,0xC0,0xC7,0xFF,0xB8,0x9F,0x87,
0x80,0x98,0x98,0x80,0x8F,0x9F,0x90,0x99,0x89,0x80,0x8F,0x9F,0x90,0x90,0x9F,0x8F,
0x80,0x9F,0x9F,0x80,0x80,0x9F,0x9F,0x80,0x80,0x9F,0x9F,0x80,0x80,0x80,0x80,0xFF,
};

unsigned char code pic4[]=
{/*--  12864a.bmp  --*/
/*--  128x64  --*/
0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0xE0,0x00,0xF0,0x00,0xFC,0x00,0x00,0x00,0x00,
0x04,0x06,0x12,0x12,0xFE,0xEC,0x00,0xF8,0xFC,0x06,0x02,0x22,0xE6,0xE4,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x90,0x9C,0x04,0xF4,0x04,0xF4,0xF4,0x04,0xF4,
0xF4,0x04,0x04,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x00,0x00,0x00,
0x01,0x03,0x02,0x02,0x03,0x01,0x00,0x00,0x01,0x03,0x02,0x02,0x03,0x01,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x02,0x02,0x02,0x02,0x02,0x02,0x02,
0x02,0x02,0x02,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0xC0,0xC0,0xE0,0xF0,0xF8,
0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x80,0xF0,0xF8,0xFC,0xFE,0xFE,0x7F,0x3F,0x1F,0x1F,0x1F,0x3F,0x7F,0xFE,0xFE,0xFC,
0xFC,0xF0,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xF0,0xF8,0xFC,0xFE,0xFE,0x7F,0x3F,0x1F,0x1F,
0x1F,0x3F,0xFE,0xFE,0xFC,0xFC,0xF0,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0xE0,0xF0,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x0F,0x0F,0x07,0x07,0x03,0x01,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x01,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00,0x80,0xC0,0xE0,0xF8,0xFF,0xFF,0xFF,
0xFF,0x3F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x00,0xE0,0xF0,0xF0,
0xF8,0xFC,0xFF,0xFF,0xBF,0x9F,0x0F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0xE0,0xF8,0xFC,0xFF,0xFF,0x3F,0x1F,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0xC0,0xE0,0xF8,0xFC,0xFE,0xFF,0x3F,0x3F,0x1F,0x0F,0x07,0x03,0x01,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xC0,0xC0,0xE0,0xE0,0xE0,0xE0,0x80,0x00,0x01,0x01,0x01,
0x01,0x03,0x07,0xFF,0xFF,0xFF,0xFF,0xFE,0xF8,0x00,0x00,0x00,0xF8,0xFC,0xFF,0xFF,
0xFF,0xFF,0xF7,0xF1,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,
0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,
0x7C,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,
0x7E,0x7E,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0x1F,0x3F,0x3F,0x3F,0x7E,0x7C,0x7C,0x7C,
0x7C,0x7E,0x3F,0x3F,0x1F,0x1F,0x0F,0x07,0x01,0x00,0x00,0x00,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x01,0x01,
0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x60,0x20,0x20,0xE0,0xC0,0x00,0x80,0xE0,0x60,0x20,0x20,
0x20,0x00,0x00,0x00,0x00,0xC0,0xE0,0x20,0x20,0xE0,0xC0,0x00,0x80,0xC0,0x20,0x20,
0x60,0x40,0x00,0x00,0x00,0x00,0x40,0x60,0x20,0x20,0xE0,0xC0,0x00,0xC0,0xE0,0x20,
0x20,0xE0,0xC0,0x00,0x00,0x80,0xC0,0xE0,0xE0,0x00,0x00,0x00,0x80,0xC0,0xE0,0xE0,
0x00,0x00,0x00,0x00,0x00,0xC0,0xE0,0x20,0x20,0x20,0x60,0x40,0x00,0x00,0x80,0x80,
0x80,0x80,0x00,0x80,0xC0,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x30,0x38,0x2C,0x26,0x23,0x21,0x00,0x13,0x33,0x21,0x21,0x3F,
0x1E,0x00,0x30,0x30,0x00,0x1F,0x3F,0x20,0x20,0x3F,0x1F,0x00,0x1F,0x3F,0x21,0x21,
0x3F,0x1E,0x00,0x30,0x30,0x00,0x30,0x38,0x2C,0x26,0x23,0x21,0x00,0x1F,0x3F,0x20,
0x20,0x3F,0x1F,0x00,0x00,0x01,0x00,0x3F,0x3F,0x00,0x00,0x00,0x01,0x00,0x3F,0x3F,
0x00,0x00,0x00,0x00,0x00,0x11,0x33,0x23,0x27,0x26,0x3E,0x1C,0x00,0x19,0x3C,0x26,
0x22,0x3F,0x3F,0x00,0x1F,0x3F,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};


